## org.biojava.bio.gui
Class SimpleSymbolStyle

    java.lang.Object
      org.biojava.bio.gui.SimpleSymbolStyle

All Implemented Interfaces:
  SymbolStyle

    public class SimpleSymbolStyle

extends Object
implements SymbolStyle

A no-frills implementation of SymbolStyle.

Author:
  Matthew Pocock

Constructor Summary
`SimpleSymbolStyle(FiniteAlphabet alphabet)`

Method Summary
`Paint` `fillPaint(Symbol s)` Return the fill paint for a symbol.
`Alphabet` `getAlphabet()`
`static Map` `getStandardFillPaints(Alphabet alpha)`
`static Map` `getStandardOutlinePaints(Alphabet alpha)`
`Paint` `outlinePaint(Symbol s)` Return the outline paint for a symbol.
`void` `setFillPaint(Symbol s, Paint paint)`
`void` `setOutlinePaint(Symbol s, Paint paint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSymbolStyle

    public SimpleSymbolStyle(FiniteAlphabet alphabet)

Method Detail

### getAlphabet

    public Alphabet getAlphabet()

### outlinePaint

    public Paint outlinePaint(Symbol s)
                       throws IllegalSymbolException

  Description copied from interface: `SymbolStyle`
  Return the outline paint for a symbol.

  Specified by:
    `outlinePaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to outline
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol

### fillPaint

    public Paint fillPaint(Symbol s)
                    throws IllegalSymbolException

  Description copied from interface: `SymbolStyle`
  Return the fill paint for a symbol.

  Specified by:
    `fillPaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to fill
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol

### setOutlinePaint

    public void setOutlinePaint(Symbol s,
                                Paint paint)
                         throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### setFillPaint

    public void setFillPaint(Symbol s,
                             Paint paint)
                      throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### getStandardFillPaints

    public static Map getStandardFillPaints(Alphabet alpha)

### getStandardOutlinePaints

    public static Map getStandardOutlinePaints(Alphabet alpha)